Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2048271 - Review Request: tilp_and_gfm - Desktop applications to manage Texas Instruments calculators
Summary: Review Request: tilp_and_gfm - Desktop applications to manage Texas Instrumen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2048270 2050749
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-30 18:09 UTC by Davide Cavalca
Modified: 2022-02-14 01:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-02 05:24:29 UTC
Type: ---
Embargoed:
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2022-01-30 18:09:07 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/tilp_and_gfm/tilp_and_gfm.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/tilp_and_gfm/tilp_and_gfm-1.19-1.20220130git752aef4.fc36.src.rpm

Description:
TiLP and GFM are desktop applications to handle communications and file exchange
with Texas Instruments calculators.

Fedora Account System Username: dcavalca

Comment 1 Michel Lind 2022-01-31 04:55:25 UTC
Looks fine. The automated install failures are just because I didn't pass -L <dir-of-tilibs> to fedora-review; a manual installation works.

The license issue is real though. You probably want to mark the files manually, e.g.
%license %{_datadir}/gfm/icons/COPYRIGHT
%license %{_datadir}/tilp2/icons/COPYRIGHT

default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/review-tilp_and_gfm took 5s
❯ cat rpms-unpacked/gfm-1.19-1.20220130git752aef4.fc35.aarch64.rpm/usr/share/gfm/icons/COPYRIGHT
Icons are (c) 2002 by Jesse Palmer for the TiLP project.
All rights reserved.

Jesse Palmer (jp3d): icon designer
==================================

web: http://jp3d.net
mail: jp

default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/review-tilp_and_gfm
❯ cat rpms-unpacked/tilp-1.19-1.20220130git752aef4.fc35.aarch64.rpm/usr/share/tilp2/icons/COPYRIGHT
Icons are (c) 2002 by Jesse Palmer for the TiLP project.
All rights reserved.

Jesse Palmer (jp3d): icon designer
==================================

web: http://jp3d.net
mail: jp

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYRIGHT is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "GNU Library General Public License v2 or later", "GNU General
     Public License", "GNU General Public License v2.0 or later", "*No
     copyright* GNU General Public License", "*No copyright* [generated
     file]". 350 files have unknown license. Detailed output of
     licensecheck in
     /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/review-
     tilp_and_gfm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tilp ,
     gfm
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1228800 bytes in /usr/share
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 2.15 starting (python version = 3.10.2, NVR = mock-2.15-1.fc35)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 2.15
INFO: Mock Version: 2.15
Finish: chroot init
INFO: installing package(s): /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/tilp-1.19-1.20220130git752aef4.fc35.aarch64.rpm /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/tilp_and_gfm-debuginfo-1.19-1.20220130git752aef4.fc35.aarch64.rpm /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/tilp_and_gfm-debugsource-1.19-1.20220130git752aef4.fc35.aarch64.rpm /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/gfm-1.19-1.20220130git752aef4.fc35.aarch64.rpm
ERROR: Command failed:
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-aarch64/root/ --releasever 36 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk --disableplugin=versionlock install /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/tilp-1.19-1.20220130git752aef4.fc35.aarch64.rpm /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/tilp_and_gfm-debuginfo-1.19-1.20220130git752aef4.fc35.aarch64.rpm /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/tilp_and_gfm-debugsource-1.19-1.20220130git752aef4.fc35.aarch64.rpm /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tilp_and_gfm-1.19-1.20220130git752aef4.fc36/gfm-1.19-1.20220130git752aef4.fc35.aarch64.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/debrouxl/tilp_and_gfm/archive/752aef4dc2b2fdd21a06cda03130375d8d4ad9b6/tilp_and_gfm-752aef4dc2b2fdd21a06cda03130375d8d4ad9b6.tar.gz :
  CHECKSUM(SHA256) this package     : 7cf46df5955a84fd8f0d7461a5e1b74f0637c99d9e4abb42ca2d53fe427e12c0
  CHECKSUM(SHA256) upstream package : 7cf46df5955a84fd8f0d7461a5e1b74f0637c99d9e4abb42ca2d53fe427e12c0


Requires
--------
tilp (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libticables2.so.8.0.0()(64bit)
    libticalcs2.so.13.0.0()(64bit)
    libticonv.so.9.4.0()(64bit)
    libtifiles2.so.11.2.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

gfm (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libglade-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libticalcs2.so.13.0.0()(64bit)
    libticonv.so.9.4.0()(64bit)
    libtifiles2.so.11.2.0()(64bit)
    rtld(GNU_HASH)

tilp_and_gfm-debuginfo (rpmlib, GLIBC filtered):

tilp_and_gfm-debugsource (rpmlib, GLIBC filtered):



Provides
--------
tilp:
    application()
    application(tilp.desktop)
    metainfo()
    metainfo(tilp.appdata.xml)
    mimehandler(application/x-tilp)
    tilp
    tilp(aarch-64)
    tilp2

gfm:
    application()
    application(gfm.desktop)
    gfm
    gfm(aarch-64)
    metainfo()
    metainfo(gfm.appdata.xml)
    mimehandler(application/x-tilp)

tilp_and_gfm-debuginfo:
    tilp_and_gfm-debuginfo
    tilp_and_gfm-debuginfo(aarch-64)

tilp_and_gfm-debugsource:
    tilp_and_gfm-debugsource
    tilp_and_gfm-debugsource(aarch-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -p --name tilp_and_gfm
Buildroot used: fedora-rawhide-aarch64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Perl, Python, fonts, Java, R, SugarActivity, Ocaml, PHP, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Davide Cavalca 2022-01-31 05:26:30 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/tilp_and_gfm/tilp_and_gfm.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/tilp_and_gfm/tilp_and_gfm-1.19-1.20220130git752aef4.fc36.src.rpm

Changelog:
- move icons copyright files and mark them as license

Comment 3 Michel Lind 2022-01-31 21:49:23 UTC
LGTM, APPROVED

Comment 4 Davide Cavalca 2022-01-31 21:50:56 UTC
Thanks!

$ fedpkg request-repo tilp_and_gfm 2048271
https://pagure.io/releng/fedora-scm-requests/issue/41618

Comment 5 Gwyn Ciesla 2022-01-31 22:15:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/tilp_and_gfm

Comment 6 Fedora Update System 2022-02-02 05:21:28 UTC
FEDORA-2022-d68753e476 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d68753e476

Comment 7 Fedora Update System 2022-02-02 05:24:29 UTC
FEDORA-2022-d68753e476 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-02-04 15:09:55 UTC
FEDORA-EPEL-2022-269605ed97 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-269605ed97

Comment 9 Fedora Update System 2022-02-04 15:10:12 UTC
FEDORA-EPEL-2022-e65f189fba has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e65f189fba

Comment 10 Fedora Update System 2022-02-04 15:10:21 UTC
FEDORA-2022-06f4a03773 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-06f4a03773

Comment 11 Fedora Update System 2022-02-04 15:10:29 UTC
FEDORA-2022-a875475190 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a875475190

Comment 12 Fedora Update System 2022-02-05 00:23:51 UTC
FEDORA-EPEL-2022-e65f189fba has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e65f189fba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-02-05 00:33:41 UTC
FEDORA-EPEL-2022-269605ed97 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-269605ed97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-02-05 01:31:33 UTC
FEDORA-2022-06f4a03773 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-06f4a03773 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-06f4a03773

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-02-05 02:12:06 UTC
FEDORA-2022-a875475190 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-a875475190 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a875475190

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-02-05 14:32:44 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2dad8bcca4

Comment 17 Fedora Update System 2022-02-06 02:36:00 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2dad8bcca4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-02-13 00:39:52 UTC
FEDORA-EPEL-2022-269605ed97 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-02-13 01:06:30 UTC
FEDORA-2022-06f4a03773 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-02-13 01:14:58 UTC
FEDORA-2022-a875475190 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2022-02-13 02:25:57 UTC
FEDORA-EPEL-2022-e65f189fba has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2022-02-14 01:18:18 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.